# neoConfig.sh --
# 
# This shell script (for sh) is generated automatically by Neo's
# configure script.  It will create shell variables for most of
# the configuration options discovered by the configure script.
# This script is intended to be included by the configure scripts
# for Neo extensions so that they don't have to figure this all
# out for themselves.  This file does not duplicate information
# already provided by tclConfig.sh, so you may need to use that
# file in addition to this one.
#
# The information in this file is specific to a single platform.
#
# SCCS: @(#) neoConfig.sh.in 1.5 96/04/15 09:49:11

# Neo's version number.
NEO_VERSION='@NEO_VERSION@'
NEO_MAJOR_VERSION='@NEO_MAJOR_VERSION@'
NEO_MINOR_VERSION='@NEO_MINOR_VERSION@'

# -D flags for use with the C compiler.
NEO_DEFS='@DEFS@'

# The name of the Neo library (may be either a .a file or a shared library):
NEO_LIB_FILE=@NEO_LIB_FILE@

# Additional libraries to use when linking Neo.
NEO_LIBS='@DL_LIBS@ @LIBS@ @MATH_LIBS@'

# Top-level directory in which Tcl's platform-independent files are
# installed.
NEO_PREFIX='@prefix@'

# Top-level directory in which Tcl's platform-specific files (e.g.
# executables) are installed.
NEO_EXEC_PREFIX='@exec_prefix@'

# String to pass to linker to pick up the Neo library from its
# build directory.
NEO_BUILD_LIB_SPEC='@NEO_BUILD_LIB_SPEC@'

# String to pass to linker to pick up the Neo library from its
# installed directory.
NEO_LIB_SPEC='@NEO_LIB_SPEC@'

# Flags to pass to ld, such as "-R /usr/local/tcl/lib", that tell the
# run-time dynamic linker where to look for shared libraries such as
# libtcl.so.  Used when linking applications.  Only works if there
# is a variable "LIB_INSTALL_DIR" defined in the Makefile.
NEO_LD_SEARCH_FLAGS='@NEO_LD_SEARCH_FLAGS@'

NEO_CFLAGS='@pkg_cflags@'
NEO_LDFLAGS='@pkg_ldflags@'

# Flags that were used to link to the Sleepycat DB library
NEO_DB_BUILD_LIB_SPEC='@dblibflags@'
NEO_DB_LIB_SPEC='@DB_LIB_SPEC@'
